#!/usr/bin/env node

const rawArgv = process.argv.slice(2);
const [type, ...args] = rawArgv;
const commandArray = ["init"];
const commandMap = Object.create(null);
commandArray.forEach((name) => {
  commandMap[name] = require(`../core/bin/${name}`);
});
const commandHandler = commandMap[type];
commandHandler(args, type);
